# $Revision: 1.36 $, $Date: 2008/07/27 22:29:52 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	Context
Summary:	Convert::Context Perl module - an attributed text data type
Summary(pl.UTF-8):	Moduł Perla Convert::Context - typ danych: tekst z atrybutami
Name:		perl-Convert-Context
Version:	0.501
Release:	13
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	701f73725e44b34f89a0cba23e74d672
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::Context module maintains attributed strings.  It allows you
to access those strings similiar to Perl's normal strings.

%description -l pl.UTF-8
Moduł Convert::Context zarządza łańcuchami tekstowymi z
przyporządkowanymi atrybutami. Umożliwia dostęp do tych łańcuchów w
podobny sposób jak do normalnych łańcuchów Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Convert/Context.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-Context.spec,v $
Revision 1.36  2008/07/27 22:29:52  arekm
- release 13

Revision 1.35  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:11  paladine
- formatting

Revision 1.32  2004/05/07 01:04:47  ankry
- rel. 12

Revision 1.31  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/18 21:40:18  ankry
- summary, description and license fixes

Revision 1.29  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:28:27  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:24:42  depesz
adapterized

Revision 1.15  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:06:40  baggins
- release 7
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2000/12/30 03:30:00  kloczek
- fix: release 6.

Revision 1.10  2000/12/30 01:28:09  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.5  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.4  1999/10/31 15:05:04  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- release++

Revision 1.3  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.2  1999/09/26 14:39:28  pius
- added '%%define perl_sitelib ...' on top of spec (fix BR#87)

Revision 1.1  1999/09/26 10:48:18  pius
- initial release

based on autogenerated spec from RH
